package de.ivu.elect.was.sitzberechnung.entity;


import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.sitzberechnung.Kandidatur;

import java.util.Collection;

public class KonfliktEntitaeten {
  private final Collection<SitzberechnungGruppe> gruppen;
  private final Collection<SitzberechnungListe> listen;
  private final Collection<Kandidatur> kandidaturen;
  private final Gebiet wahlgebiet /*TODO ELECT-9938*/;

  public KonfliktEntitaeten(Collection<SitzberechnungGruppe> gruppen, Collection<SitzberechnungListe> listen, Collection<Kandidatur> kandidaturen, Gebiet wahlgebiet) {

    this.gruppen = gruppen;
    this.listen = listen;
    this.kandidaturen = kandidaturen;
    this.wahlgebiet = wahlgebiet;
  }

  public static KonfliktEntitaeten newInstance(Collection<SitzberechnungGruppe> gruppen, Collection<SitzberechnungListe> listen, Collection<Kandidatur> kandidaturen, Gebiet wahlgebiet) {
    return new KonfliktEntitaeten(gruppen, listen, kandidaturen, wahlgebiet);
  }

  public Collection<SitzberechnungGruppe> getGruppen() {
    return gruppen;
  }

  public Collection<SitzberechnungListe> getListen() {
    return listen;
  }

  public Collection<Kandidatur> getKandidaturen() {
    return kandidaturen;
  }

  public Gebiet getWahlgebiet() {
    return wahlgebiet;
  }
}
